import { FormattingOptions, Range, TextEdit } from 'vscode-languageserver/node';
import { TextDocument } from 'vscode-languageserver-textdocument';
export declare class SystemVerilogFormatter {
    private _command;
    constructor(command?: string);
    setCommand(command: string): void;
    format(document: TextDocument, range: Range, options: FormattingOptions): Promise<TextEdit[]>;
}
